SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Git Vendors:   kernel.org
(Oracle Issues Fix for Oracle Linux) Git 'ssh://' URL Processing Flaw Lets Remote Users Execute Arbitrary Commands on the Target System
SecurityTracker Alert ID:  1039197
SecurityTracker URL:  http://securitytracker.com/id/1039197
CVE Reference:   CVE-2017-1000117   (Links to External Site)
Date:  Aug 17 2017
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  

Description:   A vulnerability was reported in Git. A remote user can execute arbitrary code on the target system.

A remote user (e.g., repository) can return a specially crafted 'ssh://' URL to execute arbitrary shell commands on the target user' system. The code will run with the privileges of the target user.

The vulnerability can be triggered during 'clone' commands.

The original advisory is available at:

http://blog.recurity-labs.com/2017-08-10/scm-vulns

Joern Schneeweisz of Recurity Labs reported this vulnerability.

Impact:   A remote user can execute arbitrary shell commands on the target system.
Solution:   Oracle has issued a fix.

The Oracle Linux advisory is available at:

http://linux.oracle.com/errata/ELSA-2017-2484.html

Vendor URL:  linux.oracle.com/errata/ELSA-2017-2484.html (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Oracle)
Underlying OS Comments:  7

Message History:   This archive entry is a follow-up to the message listed below.
Aug 11 2017 Git 'ssh://' URL Processing Flaw Lets Remote Users Execute Arbitrary Commands on the Target System



 Source Message Contents

Subject:  [El-errata] ELSA-2017-2484 Important: Oracle Linux 7 git security update

Oracle Linux Security Advisory ELSA-2017-2484

http://linux.oracle.com/errata/ELSA-2017-2484.html

The following updated rpms for Oracle Linux 7 have been uploaded to the 
Unbreakable Linux Network:

x86_64:
emacs-git-1.8.3.1-12.el7_4.noarch.rpm
emacs-git-el-1.8.3.1-12.el7_4.noarch.rpm
git-1.8.3.1-12.el7_4.x86_64.rpm
git-all-1.8.3.1-12.el7_4.noarch.rpm
git-bzr-1.8.3.1-12.el7_4.noarch.rpm
git-cvs-1.8.3.1-12.el7_4.noarch.rpm
git-daemon-1.8.3.1-12.el7_4.x86_64.rpm
git-email-1.8.3.1-12.el7_4.noarch.rpm
git-gui-1.8.3.1-12.el7_4.noarch.rpm
git-hg-1.8.3.1-12.el7_4.noarch.rpm
git-p4-1.8.3.1-12.el7_4.noarch.rpm
git-svn-1.8.3.1-12.el7_4.x86_64.rpm
gitk-1.8.3.1-12.el7_4.noarch.rpm
gitweb-1.8.3.1-12.el7_4.noarch.rpm
perl-Git-1.8.3.1-12.el7_4.noarch.rpm
perl-Git-SVN-1.8.3.1-12.el7_4.noarch.rpm


SRPMS:
http://oss.oracle.com/ol7/SRPMS-updates/git-1.8.3.1-12.el7_4.src.rpm



Description of changes:

[1.8.3.1-12]
- prevent command injection via malicious ssh URLs
   Resolves: CVE-2017-1000117


_______________________________________________
El-errata mailing list
El-errata@oss.oracle.com
https://oss.oracle.com/mailman/listinfo/el-errata
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2017, SecurityGlobal.net LLC